from django.http import HttpResponse
from .models import Assignment, Course


def assignments(request):
    assignments = Assignment.objects.all()

    response = "Widget's Assignments Page <br><br>"

    for assignment in assignments:
        name = "Asssignment Name: " + assignment.name + "<br>"
        desc = "Description: " + assignment.description + "<br>"
        perfect = "Perfect Score: " + str(assignment.perfect_score) + "<br>"
        passing = "Passing Score: " + str(assignment.passing_score) + "<br>"
        courseSection = (
            "Course/Section: "
            + assignment.course.code
            + " "
            + assignment.course.title
            + "-"
            + assignment.course.section
        )

        response += name + desc + perfect + passing + courseSection + "<br><br>"

    return HttpResponse(response)
