from django.urls import path
from . import views


urlpatterns = [
    path("", views.dashboard, name="dashboard"),
    path(
        "widgetusers/<int:pk>/details",
        views.WidgetUserDetailView.as_view(),
        name="user-detail",
    ),
    path(
        "widgetusers/add",
        views.WidgetUserDetailView.as_view(),
        name="user-add",
    ),
]


app_name = "dashboard"
