# from django.http import HttpResponse
from django.views.generic.detail import DetailView
from django.views.generic.edit import UpdateView, CreateView
from .models import WidgetUser
from django.shortcuts import render


def dashboard(request):
    # content = "Welcome to Widget! <br><br> WIDGET USERS: <br>"
    # users = WidgetUser.objects.all()
    #
    # for user in users:
    #     content += str(user) + ": " + str(user.department) + "<br>"
    #
    # return HttpResponse(content)
    users = WidgetUser.objects.all()
    context = {"users": users}
    return render(request, "dashboard/dashboard.html", context)


class WidgetUserDetailView(DetailView):
    model = WidgetUser
    template_name = "dashboard/widgetuser-details.html"


class WidgetUserUpdateView(UpdateView):
    model = WidgetUser


class WidgetUserCreateView(CreateView):
    model = WidgetUser
